public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/proj/guru:master commit in: www-apps/sblg/
@ 2024-10-02 13:58 David Roman
  0 siblings, 0 replies; 4+ messages in thread
From: David Roman @ 2024-10-02 13:58 UTC (permalink / raw
  To: gentoo-commits

commit:     3518d9bc32108be542cb69ed5a02489294f60957
Author:     Wolfgang Müller <wolf <AT> oriole <DOT> systems>
AuthorDate: Wed Oct  2 10:19:51 2024 +0000
Commit:     David Roman <davidroman96 <AT> gmail <DOT> com>
CommitDate: Wed Oct  2 10:19:51 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=3518d9bc

www-apps/sblg: new package, add 0.5.12

Signed-off-by: Wolfgang Müller <wolf <AT> oriole.systems>

 www-apps/sblg/Manifest           |  1 +
 www-apps/sblg/metadata.xml       |  8 ++++++++
 www-apps/sblg/sblg-0.5.12.ebuild | 28 ++++++++++++++++++++++++++++
 3 files changed, 37 insertions(+)

diff --git a/www-apps/sblg/Manifest b/www-apps/sblg/Manifest
new file mode 100644
index 000000000..4b42538ea
--- /dev/null
+++ b/www-apps/sblg/Manifest
@@ -0,0 +1 @@
+DIST sblg-0.5.12.tar.gz 1502183 BLAKE2B cfec2912668830ffe3002c39a99f9f611bddd1d09da2c1506fc67a30e4e64e142b34b9035118ac96971b7bd82d33b5df297f1777b07583251c152ff8fd195b90 SHA512 2d88dc59949e818977c6e8b7ee090984571b8813d7fd81fba8e705025c604734828b997bfc72d69164f295e9ad2cee0df633acbbbbe3cfda53be7b3a93f3f903

diff --git a/www-apps/sblg/metadata.xml b/www-apps/sblg/metadata.xml
new file mode 100644
index 000000000..5fc9ce93f
--- /dev/null
+++ b/www-apps/sblg/metadata.xml
@@ -0,0 +1,8 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+	<maintainer type="person">
+		<email>wolf@oriole.systems</email>
+		<name>Wolfgang Müller</name>
+	</maintainer>
+</pkgmetadata>

diff --git a/www-apps/sblg/sblg-0.5.12.ebuild b/www-apps/sblg/sblg-0.5.12.ebuild
new file mode 100644
index 000000000..8fd2c5f8f
--- /dev/null
+++ b/www-apps/sblg/sblg-0.5.12.ebuild
@@ -0,0 +1,28 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="A utility for creating static blogs"
+HOMEPAGE="https://kristaps.bsd.lv/sblg/"
+SRC_URI="https://kristaps.bsd.lv/sblg/snapshots/${P}.tar.gz"
+
+LICENSE="ISC"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="examples"
+
+DEPEND="dev-libs/expat"
+RDEPEND="${DEPEND}"
+
+src_configure() {
+	./configure PREFIX="${EPREFIX}/usr" MANDIR="${EPREFIX}/usr/share/man"
+}
+
+src_install() {
+	emake DESTDIR="${D}" install
+
+	if ! use examples; then
+		rm -rf "${ED}/usr/share/${PN}/examples" || die
+	fi
+}


^ permalink raw reply related	[flat|nested] 4+ messages in thread

* [gentoo-commits] repo/proj/guru:master commit in: www-apps/sblg/
@ 2024-10-04 10:24 Rui Huang
  0 siblings, 0 replies; 4+ messages in thread
From: Rui Huang @ 2024-10-04 10:24 UTC (permalink / raw
  To: gentoo-commits

commit:     7699266430b7be7b1d96930d43ee29bc6432d6cd
Author:     Wolfgang Müller <wolf <AT> oriole <DOT> systems>
AuthorDate: Thu Oct  3 10:35:11 2024 +0000
Commit:     Rui Huang <vowstar <AT> gmail <DOT> com>
CommitDate: Thu Oct  3 10:35:11 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=76992664

www-apps/sblg: remove -g from default CFLAGS

Closes: https://bugs.gentoo.org/940687
Signed-off-by: Wolfgang Müller <wolf <AT> oriole.systems>

 www-apps/sblg/sblg-0.5.12.ebuild | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/www-apps/sblg/sblg-0.5.12.ebuild b/www-apps/sblg/sblg-0.5.12.ebuild
index bfc69619a..d08ddad72 100644
--- a/www-apps/sblg/sblg-0.5.12.ebuild
+++ b/www-apps/sblg/sblg-0.5.12.ebuild
@@ -35,6 +35,12 @@ QA_CONFIG_IMPL_DECL_SKIP=(
 	unveil
 )
 
+src_prepare() {
+	default
+
+	sed -ie '/^CFLAGS=/s: -g : :' configure || die
+}
+
 src_configure() {
 	tc-export CC AR
 


^ permalink raw reply related	[flat|nested] 4+ messages in thread

* [gentoo-commits] repo/proj/guru:master commit in: www-apps/sblg/
@ 2024-10-04 10:24 Rui Huang
  0 siblings, 0 replies; 4+ messages in thread
From: Rui Huang @ 2024-10-04 10:24 UTC (permalink / raw
  To: gentoo-commits

commit:     6c51c4a241b48ef87210672825c91849b0da9556
Author:     Wolfgang Müller <wolf <AT> oriole <DOT> systems>
AuthorDate: Thu Oct  3 10:06:59 2024 +0000
Commit:     Rui Huang <vowstar <AT> gmail <DOT> com>
CommitDate: Thu Oct  3 10:06:59 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=6c51c4a2

www-apps/sblg: respect LDFLAGS and don't call CC and AR directly

Closes: https://bugs.gentoo.org/940686
Signed-off-by: Wolfgang Müller <wolf <AT> oriole.systems>

 www-apps/sblg/sblg-0.5.12.ebuild | 12 +++++++++++-
 1 file changed, 11 insertions(+), 1 deletion(-)

diff --git a/www-apps/sblg/sblg-0.5.12.ebuild b/www-apps/sblg/sblg-0.5.12.ebuild
index 8fd2c5f8f..4d3f3300b 100644
--- a/www-apps/sblg/sblg-0.5.12.ebuild
+++ b/www-apps/sblg/sblg-0.5.12.ebuild
@@ -3,6 +3,8 @@
 
 EAPI=8
 
+inherit toolchain-funcs
+
 DESCRIPTION="A utility for creating static blogs"
 HOMEPAGE="https://kristaps.bsd.lv/sblg/"
 SRC_URI="https://kristaps.bsd.lv/sblg/snapshots/${P}.tar.gz"
@@ -16,7 +18,15 @@ DEPEND="dev-libs/expat"
 RDEPEND="${DEPEND}"
 
 src_configure() {
-	./configure PREFIX="${EPREFIX}/usr" MANDIR="${EPREFIX}/usr/share/man"
+	tc-export CC AR
+
+	./configure \
+		PREFIX="${EPREFIX}/usr" \
+		MANDIR="${EPREFIX}/usr/share/man" \
+		LDFLAGS="${LDFLAGS}" \
+		CPPFLAGS="${CPPFLAGS}" \
+		LIBDIR="/usr/$(get_libdir)" \
+		|| die "./configure failed"
 }
 
 src_install() {


^ permalink raw reply related	[flat|nested] 4+ messages in thread

* [gentoo-commits] repo/proj/guru:master commit in: www-apps/sblg/
@ 2024-10-04 10:24 Rui Huang
  0 siblings, 0 replies; 4+ messages in thread
From: Rui Huang @ 2024-10-04 10:24 UTC (permalink / raw
  To: gentoo-commits

commit:     5e7905c25b6f9a839e43e40cca383ce2eb425cdb
Author:     Wolfgang Müller <wolf <AT> oriole <DOT> systems>
AuthorDate: Thu Oct  3 10:07:55 2024 +0000
Commit:     Rui Huang <vowstar <AT> gmail <DOT> com>
CommitDate: Thu Oct  3 10:07:55 2024 +0000
URL:        https://gitweb.gentoo.org/repo/proj/guru.git/commit/?id=5e7905c2

www-apps/sblg: mark implicit decls as expected

The specific flavour of configure script, oconfigure [1], tests for
various BSD functionality that is missing on Linux. This triggers
-Wimplicit-function-declaration but can safely be silenced.

[1] https://github.com/kristapsdz/oconfigure

Closes: https://bugs.gentoo.org/940688
Signed-off-by: Wolfgang Müller <wolf <AT> oriole.systems>

 www-apps/sblg/sblg-0.5.12.ebuild | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)

diff --git a/www-apps/sblg/sblg-0.5.12.ebuild b/www-apps/sblg/sblg-0.5.12.ebuild
index 4d3f3300b..bfc69619a 100644
--- a/www-apps/sblg/sblg-0.5.12.ebuild
+++ b/www-apps/sblg/sblg-0.5.12.ebuild
@@ -17,6 +17,24 @@ IUSE="examples"
 DEPEND="dev-libs/expat"
 RDEPEND="${DEPEND}"
 
+# oconfigure specifically tests for BSD functionality on Linux
+QA_CONFIG_IMPL_DECL_SKIP=(
+	crypt_newhash
+	crypt_checkpass
+	warnc
+	errc
+	getexecname
+	getprogname
+	memset_s
+	pledge
+	recallocarray
+	strtonum
+	TAILQ_FOREACH_SAFE
+	timingsafe_bcmp
+	timingsafe_memcmp
+	unveil
+)
+
 src_configure() {
 	tc-export CC AR
 


^ permalink raw reply related	[flat|nested] 4+ messages in thread

end of thread, other threads:[~2024-10-04 10:24 UTC | newest]

Thread overview: 4+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2024-10-04 10:24 [gentoo-commits] repo/proj/guru:master commit in: www-apps/sblg/ Rui Huang
  -- strict thread matches above, loose matches on Subject: below --
2024-10-04 10:24 Rui Huang
2024-10-04 10:24 Rui Huang
2024-10-02 13:58 David Roman

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox